Vue fails to compile in votes tutorial

ERROR Failed to compile with 1 error 12:54:29 PM

error in ./node_modules/@starport/vue/lib/starport-vue.common.js

Module parse failed: Unexpected token (21119:247)
You may need an appropriate loader to handle this file type, currently no loaders are configured to process this file. See Concepts | webpack
| }, null, 4), _ctx.fulldenom.denom.indexOf(‘ibc/’) == 0 ? ((0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.openBlock)(), (0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.createElementBlock)(external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.Fragment, {
| key: 0

}, [(0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.createTextVNode)(" IBC/" + (0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.toDisplayString)(_ctx.denomTraces[_ctx.fulldenom.denom.split(’/’)[1]]?.denom_trace.path.toUpperCase() ?? ‘’) + “/” + (0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.toDisplayString)(_ctx.denomTraces[_ctx.fulldenom.denom.split(’/’)[1]]?.denom_trace.base_denom.toUpperCase() ?? ‘UNKNOWN’), 1)], 64)) : ((0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.openBlock)(), (0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.createElementBlock)(external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.Fragment, {
| key: 1
| }, [(0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.createTextVNode)((0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.toDisplayString)(_ctx.fulldenom.denom.toUpperCase()), 1)], 64))]), (0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.createElementVNode)(“div”, SpAmountSelectvue_type_template_id_0b322f4b_ts_true_hoisted_4, [_ctx.modalOpen && !_ctx.last ? ((0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.openBlock)(), (0,external_commonjs_vue_commonjs2_vue_root_Vue_amd_vue_namespaceObject.createElementBlock)(“div”, {

@ ./src/main.js 9:0-35 12:31-37
@ multi (webpack)-dev-server/client?http://192.168.178.21:8080&sockPath=/sockjs-node (webpack)/hot/dev-server.js ./src/main.js

However I have installed all the dependencies.
I am using webpack latest, nodejs v14 and latest Vue-CLI.

I think i had the same problem. If i remember correctly, just change

 "@starport/vue": "^0.1.53",
   "@starport/vuex": "^0.1.53",

to

    "@starport/vue": "0.1.53",
    "@starport/vuex": "0.1.53",

That helped! Thanks a lot!

What file is this needing to be updated?

Files changed:

1 Like

In the most recent version of the tutorial I changed the below code in the folder .\Voter\Vue\Source\package.json

//Changed from
    "@starport/vue": "^0.1.49",
    "@starport/vuex": "^0.1.49",
//To
    "@starport/vue": "0.1.53",
    "@starport/vuex": "0.1.53",